%define upstream_name    Dancer
%define upstream_version 1.3513

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Template Toolkit wrapper for Dancer
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::Hide)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::stat)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTTP::Body)
BuildRequires: perl(HTTP::CookieJar) >= 0.8.0
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Server::Simple::PSGI)
BuildRequires: perl(HTTP::Tiny) >= 0.14.0
BuildRequires: perl(Hash::Merge::Simple)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON) >= 2.900.0
BuildRequires: perl(MIME::Types)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(POSIX)
BuildRequires: perl(Plack::Builder)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(base)
BuildRequires: perl(bytes)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
Dancer is a web application framework designed to be as effortless as
possible for the developer, taking care of the boring bits as easily as
possible, yet staying out of your way and letting you get on with writing
your code.

Dancer aims to provide the simplest way for writing web applications, and
offers the flexibility to scale between a very simple lightweight web
service consisting of a few lines of code in a single file, all the way up
to a more complex fully-fledged web application with session support,
templates for views and layouts, etc.

If you don't want to write CGI scripts by hand, and find Catalyst too big
or cumbersome for your project, Dancer is what you need.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc AUTHORS CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE examples
%{_bindir}/dancer
%{_mandir}/man1/dancer.1*
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Thu Feb 20 2020 umeabot <umeabot> 1.351.300-2.mga8
+ Revision: 1546065
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 tv <tv> 1.351.300-1.mga8
+ Revision: 1485846
- update to 1.3513

* Mon Apr 01 2019 tv <tv> 1.351.200-1.mga7
+ Revision: 1384402
- update to 1.3512

* Tue Mar 19 2019 tv <tv> 1.351.0-1.mga7
+ Revision: 1378930
- update to 1.3510

* Wed Oct 17 2018 shlomif <shlomif> 1.350.0-1.mga7
+ Revision: 1321442
- update to 1.3500

* Thu Sep 20 2018 umeabot <umeabot> 1.340.0-2.mga7
+ Revision: 1282616
- Mageia 7 Mass Rebuild

* Sat Jun 16 2018 shlomif <shlomif> 1.340.0-1.mga7
+ Revision: 1237225
- New version 1.3400

* Sat Jun 18 2016 pterjan <pterjan> 1.320.200-2.mga6
+ Revision: 1024780
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 1.320.200-1.mga6
+ Revision: 923702
- update to 1.3202

* Mon Sep 28 2015 sander85 <sander85> 1.314.200-1.mga6
+ Revision: 884495
- update to 1.3142

* Sun Jul 05 2015 sander85 <sander85> 1.314.0-1.mga6
+ Revision: 851372
- update to 1.3140

* Wed Oct 15 2014 umeabot <umeabot> 1.312.600-4.mga5
+ Revision: 748529
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.312.600-3.mga5
+ Revision: 735453
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.312.600-2.mga5
+ Revision: 684169
- Mageia 5 Mass Rebuild

* Tue Jul 15 2014 sander85 <sander85> 1.312.600-1.mga5
+ Revision: 653066
- update to 1.3126

* Tue May 20 2014 jquelin <jquelin> 1.312.400-1.mga5
+ Revision: 624227
- update to 1.3124

* Tue Apr 15 2014 jquelin <jquelin> 1.312.300-1.mga5
+ Revision: 614706
- update to 1.3123

* Mon Feb 10 2014 jquelin <jquelin> 1.312.100-1.mga5
+ Revision: 588308
- update to 1.3121

* Sat Oct 19 2013 umeabot <umeabot> 1.311.800-2.mga4
+ Revision: 534035
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 1.311.800-1.mga4
+ Revision: 476088
- update to 1.3118

* Mon Aug 12 2013 sander85 <sander85> 1.311.700-1.mga4
+ Revision: 465664
- update to 1.3117

* Tue Jul 09 2013 jquelin <jquelin> 1.311.600-1.mga4
+ Revision: 451959
- update to 1.3116

* Mon Jun 10 2013 jquelin <jquelin> 1.311.500-1.mga4
+ Revision: 441558
- update to 1.3115

* Fri Jun 07 2013 jquelin <jquelin> 1.311.400-1.mga4
+ Revision: 438999
- update to 1.3114

* Sun Jan 13 2013 umeabot <umeabot> 1.311.0-2.mga3
+ Revision: 365251
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 jquelin <jquelin> 1.311.0-1.mga3
+ Revision: 307573
- update to 1.3110

* Fri Aug 31 2012 kharec <kharec> 1.310.0-1.mga3
+ Revision: 286064
- update to 1.3100

* Wed Jul 11 2012 shlomif <shlomif> 1.309.700-1.mga3
+ Revision: 269440
- update to 1.3097

* Mon Mar 05 2012 jquelin <jquelin> 1.309.300-1.mga2
+ Revision: 218681
- update to 1.3093

* Sat Dec 17 2011 kharec <kharec> 1.309.100-1.mga2
+ Revision: 183029
- update to 1.3091

* Tue Dec 13 2011 kharec <kharec> 1.309.0-1.mga2
+ Revision: 181386
- update to 1.3090

* Tue Nov 08 2011 jquelin <jquelin> 1.308.0-1.mga2
+ Revision: 165441
- remove MYMETA from %%doc
- update to 1.3080
- update to 1.3072
- update to 1.3071
- update to 1.3070

* Fri Jun 17 2011 jquelin <jquelin> 1.306.0-1.mga2
+ Revision: 109134
- update to 1.3060

* Wed Jun 15 2011 jquelin <jquelin> 1.305.100-1.mga2
+ Revision: 106571
- update to 1.3051

* Fri Apr 15 2011 jquelin <jquelin> 1.303.0-1.mga1
+ Revision: 85672
- update to 1.3030

* Thu Mar 24 2011 jquelin <jquelin> 1.302.0-1.mga1
+ Revision: 76623
- update to 1.3020

* Tue Mar 08 2011 jquelin <jquelin> 1.301.400-1.mga1
+ Revision: 66608
- update to 1.3014

* Wed Feb 16 2011 jquelin <jquelin> 1.301.100-1.mga1
+ Revision: 52440
- update to 1.3011

* Mon Jan 24 2011 jquelin <jquelin> 1.200.300-2.mga1
+ Revision: 36871
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.200.300-1.mga1
+ Revision: 33682
- mageia rebuild
- imported package perl-Dancer


* Thu Dec 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.200.300-1mdv2011.0
+ Revision: 624079
- update to new version 1.2003

* Sun Nov 14 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.190.400-1mdv2011.0
+ Revision: 597575
- update to new version 1.1904

* Sat Oct 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.190.100-1mdv2011.0
+ Revision: 586104
- import perl-Dancer

